import unittest
from app import compare_semver
class T(unittest.TestCase):
 def test_all(self):
  for a,b,x in [('1.2.0','1.10.0',-1),('2.0.0','2.0.0-beta',1),('1.0.0-alpha.2','1.0.0-alpha.10',-1),('1.0.0','1.0.0',0)]:
   self.assertEqual(compare_semver(a,b),x)
if __name__=='__main__': unittest.main()
